$toolbar_height:46px;
$toolbar_font:"cantarell_bold", sans-serif;
$toolbar_corner_radius: 5px;

%darkbar {
	border-style: solid;
	border-color: $borders_color;
	background-color: mix($bg_color, $borders_color, 70%);
}

// toolbar
.toolbar {
	display: block;
	background-color: darken($bg_color, 5%);
	padding: 0 6px;
	margin: 0;
	min-height: $toolbar_height;
	// border: 1px solid $borders_color;
	height: $toolbar_height;
	width: calc(100% - 12px);
	// overflow: hidden;
	text-align: center;
	z-index: 111;

	* {
		vertical-align: top;
	}

	&.inline {
		@extend %darkbar;
		border-width: 1px;
		border-top-width: 0;
		border-radius: 0  0 $toolbar_corner_radius $toolbar_corner_radius;
	}

	&.top {
		border-bottom: 1px solid $borders_color;
	}

	&.bottom {
		border-top: 1px solid $borders_color;
		position: relative;
		bottom: $toolbar_height - 1px;
		border-width:0;
		border-top-width: 1px;
	}

	&.unstyled {
		border:none;
		background:none;
	}

	// separator
	.separator {
		width: 1px;
		height: $toolbar_height - 12px;
		background-color: $borders_color;
		display: inline-block;
		padding: 0;
		position: relative;
		margin: 6px 0;
	}

	// spacer
	.spacer {
		margin:0;
		padding:0;
		height: $toolbar_height;
		max-height: $toolbar_height;
		display: inline-block;
		width: 8px;
		&.small {
			width: 6px;
		}
	}

	// Buttons
	input,
	.button {
		vertical-align: top;
		margin:6px 0;
		display: inline-block;
		&.flat {border-radius:0;padding-left:6px;margin-left:6px; margin-right:-6px;border-left:1px solid lighten($borders_color, 5%);}
	}

	span{line-height: $toolbar_height;}
	.linked {
		display: inline-block;
	}
	// switches
	.switch{
		margin:6px;
	}
	> .float-left {margin-right:6px;}
	> .float-right {margin-left:6px;}
}

// account for toolbar within view
.content.has-toolbar,
.content.with-toolbar {
	.view {
		height: calc(100% - #{$toolbar_height} + 1px);
	}
}
